Social Sets
Resolve reusable settings for a Social Set account and format
POST
/social-sets/resolve-settingsAuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/social-sets/resolve-settings" \ -H "Content-Type: application/json" \ -d '{ "default_output_profile": "string", "social_account_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ResolveSocialSetSettingsOutputBody.json", "account_id": "string", "output_profile": "string", "settings": [ { "access_requirements": [ "string" ], "capability": "string", "conflicts": [ { "key": "string", "operator": "equals", "value": null } ], "constraints": { "accept": [ "string" ], "local_date_time": true, "max_items": 0, "max_length": 0, "maximum": 0.1, "min_items": 0, "min_length": 0, "minimum": 0.1, "pattern": "string", "unique_items": true }, "control": "string", "default": null, "dependencies": [ { "key": "string", "operator": "equals", "value": null } ], "group": "content", "help": "string", "intents": [ "string" ], "key": "string", "label": "string", "media_shapes": [ "string" ], "message_key": "string", "options": [ "string" ], "options_source": "string", "output_profiles": [ "string" ], "required": true, "required_policy": "never", "scope": "destination", "type": "string", "unavailable_reason": "string" } ]}